Subject: Re: [bug#39655] [PATCH core-updates] doc: Add 'Scheme-only Bootstrap' node.

From: Efraim Flashner <[email-masked]>
Date: Mon, 18 May 2020 09:57:45 +0300

On Mon, May 18, 2020 at 07:27:35AM +0200, Jan Nieuwenhuizen wrote:
> Nicolas Goaziou writes:
> 
> Hello Nicolas,
> 
> >> Jan Nieuwenhuizen writes:
> >
> > I have some Texinfo syntax nitpicks, if you do not mind.
> 
> Nitpicks are great.
> 
> >> +re-create them if needed (see @pxref{Preparing to Use the Bootstrap
> >> +Binaries}).
> >
> > Please remove the "see", included in @pxref.
> 
> Right.
> 
> >> +Building the GNU System from source is currently only possibly by adding
> >> +some historical GNU packages as intermediate steps@footnote{Packages
> >> +such as @code{gcc-2.95.3}, @code{binutils-2.14}, @code{glibc-2.2.5},
> >> +@code{gzip-1.2.4}, @code{tar-1.22}, and some others for details see
> >
> > Suggestion: "and some others.  For details, see ..."
> 
> Better.
> 
> >> +@file{gnu/packages/commencement.scm}}.  As Gash and Gash Utils mature,
> >
> > Missing full stop at the end of the footnote.
> 
> Added.
> 
> >> +and GNU packages become more bootstrappable again (e.g., new releases of
> >> +GNU Sed will also ship in @code{tar.gz} format), this set of added
> >> +packages can hopefully be reduced again.
> >
> > @code{tar.gz} seems odd there.
> >
> > Suggestion: @file{.tar.gz} if this is about the suggestion, or
> > ``tar.gz'', or "as compressed tar files".
> >
> > If none is satisfying, @samp{tar.gz} is still better than @code{tar.gz},
> > IMO.
> 
> Ah, and now I see that it's too cryptic/terse too.  How about
> 
> and GNU packages become more bootstrappable again (e.g., new releases of
> GNU Sed will also ship as gzipped tarballs again, as alternative to the
> non-bootstrappable @code{xz}-compression), this set of added packages
> can hopefully be reduced again.

I have to ask since we're talking about bootstrapability; is it actually
not bootstrappable or is it just harder/more complex? (The question is
more about the wording than about the logistics of it.)

> 
> >> +If you are interested, join us on @code{#bootstrappable} on the
> >> Freenode
> >
> > Arguably, I would use @samp, not @code.
> 
> Good.
> 
> >> +IRC network or discuss on @code{bug-mes@@gnu.org} or
> >
> > @code -> @email
> >
> >> +@code{gash-devel@@nongnu.org}.
> >
> > Ditto.
> 
> Sure, 2x.
> 
> Updated version attached.  Thank you!  
> 
> Greetings,
> Janneke
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted